com.sun.j3d.utils.behaviors.interpolators

## Class TCBKeyFrame

- java.lang.Object
- - com.sun.j3d.utils.behaviors.interpolators.TCBKeyFrame

-     public class TCBKeyFrame
      extends java.lang.Object

  This class represents a Key Frame that can be used for Kochanek-Bartels (TCB) spline interpolation.
  Since:
    Java3D 1.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `bias`
    `float` | `continuity`
    `float` | `knot`
    `int` | `linear`
    `Point3f` | `position`
    `Quat4f` | `quat`
    `Point3f` | `scale`
    `float` | `tension`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCBKeyFrame(float k, int l, Point3f pos, Quat4f q, Point3f s, float t, float c, float b)` Creates a key frame using the given inputs.
    `TCBKeyFrame(TCBKeyFrame kf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debugPrint(java.lang.String tag)` Prints information comtained in this key frame

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### position

          public Point3f position

    - #### quat

          public Quat4f quat

    - #### scale

          public Point3f scale

    - #### tension

          public float tension

    - #### continuity

          public float continuity

    - #### bias

          public float bias

    - #### knot

          public float knot

    - #### linear

          public int linear

  - ### Constructor Detail

    - #### TCBKeyFrame

          public TCBKeyFrame(TCBKeyFrame kf)

    - #### TCBKeyFrame

          public TCBKeyFrame(float k,
                     int l,
                     Point3f pos,
                     Quat4f q,
                     Point3f s,
                     float t,
                     float c,
                     float b)

      Creates a key frame using the given inputs.
      Parameters:
        `k` - knot value for this key frame
        `l` - the linear flag (0 - Spline Interp, 1, Linear Interp
        `pos` - the position at the key frame
        `q` - the rotations at the key frame
        `s` - the scales at the key frame
        `t` - tension (-1.0 < t < 1.0)
        `c` - continuity (-1.0 < c < 1.0)
        `b` - bias (-1.0 < b < 1.0)

  - ### Method Detail

    - #### debugPrint

          public void debugPrint(java.lang.String tag)

      Prints information comtained in this key frame
      Parameters:
        `tag` - string tag for identifying debug message

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.